Loading...
Searching...
No Matches
Dune::Amg::FirstDiagonal Class Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Norm that uses only the [0][0] entry of the block to determine couplings. More...

`#include <dune/istl/paamg/aggregates.hh>`

Inheritance diagram for Dune::Amg::FirstDiagonal:

## Public Types

enum |

## Public Member Functions

FieldTraits< typenameM::field_type >::real_type | operator() (const M &m, typename std::enable_if_t<!Dune::IsNumber< M >::value > *sfinae=nullptr) const
| compute the norm of a matrix.

## Detailed Description

Norm that uses only the [0][0] entry of the block to determine couplings.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

inherited

## Member Function Documentation

## operator()()

FieldTraits< typenameM::field_type >::real_type Dune::Amg::Diagonal< N >::operator() | ( | const M & | m,
|  | typename std::enable_if_t<!Dune::IsNumber< M >::value > * | sfinae = nullptr ) const

inline inherited

compute the norm of a matrix.

Parameters

  m | The matrix to compute the norm of

The documentation for this class was generated from the following file:

- aggregates.hh